/// @addtogroup capd
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file myc.h
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _myC_

#define _myC_

#include "capd/minmax.h"

    /* Statement macros */

#define BEGIN {
#define END }
#define LOOP for(;;){
#define ENDLOOP ;}
#define IF if
#define THEN {
#define ELSE ;}else{
#define ENDIF ;}
#define REPEAT do{
#define UNTIL(x) }while(!(x))
#define WHILE(x) while(x){
#define ENDWHILE ;}
#define loop for(;;){
#define endloop ;}

     /* General constants */

#define VDIM 3

     /* Type definitions */

typedef short int SINT;
typedef int INT;
typedef long DINT;
typedef unsigned char BYTE;
typedef unsigned short WORD;
typedef unsigned long DWORD;
typedef float REAL;
typedef double DREAL;
typedef DREAL VECTOR[VDIM];


#undef SGN
#undef ABS
#define MAX(a,b) ((a)>(b) ? (a) : (b))
#define MIN(a,b) ((a)>(b) ? (b) : (a))
#define ABS(a) ((a)>0 ? (a) : -(a))
#define SGN(a) ((a)>0 ? 1 : ((a)<0 ? -1 : 0))
#endif

/// @}
