/// @addtogroup dynsys
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file dynsyslib.h
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

/** Author: Daniel Wilczak, 2005 */

#ifndef _DynSysLib_H
#define _DynSysLib_H

#include "capd/factrial.h"
#include "dynsys/taylorex.h"
#include "dynsys/c2taylintf.h"
#include "dynsys/odentaylintf.h"
#include "dynsys/linear2d.h"
#include "dynsys/linear3d.h"
#include "dynsys/vlin3d.h"
#include "map/mapintf.h"
#include "map/c2mapintf.h"

typedef capd::dynsys::DynSys<intervalMatrix> DynSys;
typedef capd::dynsys::Ode<intervalMatrix> Ode;
typedef capd::dynsys::OdeNum<intervalMatrix> OdeNum;
typedef capd::dynsys::OdeNumTaylor<intervalMatrix> OdeNumTaylor;
typedef capd::dynsys::VLin3D<intervalMatrix> VLin3D;
typedef capd::dynsys::Linear2d<intervalMatrix> linear2d;
typedef capd::dynsys::Linear3d<intervalMatrix> linear3d;
typedef capd::dynsys::Taylor<capd::map::Map<intervalMatrix> > Taylor;
typedef capd::dynsys::C2Taylor<capd::map::C2Map<intervalMatrix> > C2Taylor;
typedef capd::dynsys::TaylorException<intervalVector> TaylorException;

// classes for nonrigorous computations
typedef capd::dynsys::BasicTaylor<capd::map::Map<matrix> > FloatTaylor;
typedef capd::dynsys::BasicC2Taylor<capd::map::C2Map<matrix> > FloatC2Taylor;

#endif // define _DynSysLib_H

/// @}
