//////////////////////////////////////////////////////////////////////////////
//   Package:          CAPD
//   Subpackage:
/// @addtogroup intervals
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file intervalSettings.h
///
/// Interval Arithmetics package settings file
///
/// @author Tomasz Kapela   @date 11-01-2006
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) Tomasz Kapela 2006
//
// This file is part of the CAPD library.  This library is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

#ifndef _I_SETTINGS_H_
#define _I_SETTINGS_H_

//////////////////////////////////////////////////////////////////////////////////
// INTERVAL SETTINGS
//////////////////////////////////////////////////////////////////////////////////

/// uncomment the following line for the debugging mode 
//#define  __DEBUGGING__  

/// uncomment the following line if you want initialize intervals with 0
//#define __INTERVAL_INIT_0__

/// uncomment the following line if you want to use deprecated interval functions
//#define __INTERVAL_DEPRECATED__

/// the following option speed up computations but enlarge programm size
#define __INTERVAL_SPEED_OPTIMIZED__


//////////////////////////////////////////////////////////////////////////////////
//     DO NOT CHANGE FOLLOWING LINES
//////////////////////////////////////////////////////////////////////////////////

#ifdef __INTERVAL_SPEED_OPTIMIZED__
#define __INLINE__ inline
#else
#define __INLINE__
#endif

#endif //_I_SETTINGS_H_

/// @}
